LEGO® Education WeDo 2.0 Software Requirements

LEGO Education WeDo 2.0

Control Your Creation

WeDo 2.0 has the latest Bluetooth technology so you can take “live” control of your models. Find out more about LEGO® and Bluetooth here.

Make sure your system can run WeDo 2.0 BLE technology by checking the system requirements below.

Minimum Requirements

WeDo 2.0 is currently working on all these operating systems and devices:

Mac/Windows

 

Hardware

  • 1.5GHz Intel® Core Duo processor or compatible or faster
  • 1.5GB RAM or more
  • 2GB available hard disk space
  • Bluetooth 4.0 or above (Mac must have LMP version 0x6 or above to be equipped with Bluetooth 4.0)

* 2GB/4GB RAM or more required for Windows 10 32/64-bit

Operating System

Chromebook

 

Hardware

  • 4GB RAM
  • Bluetooth 4.0 or above
  • 2GB available storage space

Recommended Processor

  • 1.40GHz  Intel® Celeron® 2955U dual-core processor equivalent or better

Operating System

  • Chrome OS version 50 or above (we recommend that you always keep your operating system updated)

Internet Connection

  •  An Internet connection is required to access online content, such as curricula and teacher support material.

Chromebook App download available on the  Chrome Web Store

iPad

 

Hardware

  • iPad 3rd Generation or newer & iPad mini or newer

Operating System

  • iOS 8.1 or above

Download available from  iTunes.

ANDROID TABLET

 

Hardware

  • Android tablet with Bluetooth low power technology
  • Camera (front and back)
  • 8” display or larger

Operating System

  • Android 4.4.2 or above

Download available from  Google Play.

IMPORTANT NOTE REGARDING ANDROID COMPATIBILITY

Even if your tablet meets the minimum specifications above, we cannot guarantee that your device will pair successfully with WeDo 2.0. For a list of fully tested and compatible Android tablets, please refer to the list below, which we will update as we test other devices.

Model:

  •  Acer / Iconia One 10 / B3-A20 A5008 / Android 5.1 / Bluetooth 4.0
  •  Asus / Memopad 8 / K01H / Android 4.4.2 / Bluetooth 4.0
  •  ECS / Classroom PC / TF10EA2 / Android 5.1 / Bluetooth 4.0
  •  HTC / Nexus 9 / OP8220 / Android 6.0 / Bluetooth 4.0
  •  Lenovo / Tab 2 / A8-50F / Android 5.1 / Bluetooth 4.0
  •  Lenovo / Yoga Tab 3 / YT-X50L / Android 5.1 / Bluetooth 4.0
  •  Samsung / Galaxy Tab A / SM-T550 / Android 5.0.2 / Bluetooth 4.0
  •  Samsung / Galaxy Tab E / SM-T560 / Android 4.4.4 / Bluetooth 4.0
  •  Samsung / Galaxy Note 10.1 / SM-P600 / Android 4.4.2 / Bluetooth